Incidencia #445 (closed Error: Resuelto)

Abierto hace 6 años

Última modificación 6 años

canaima-desarrollador, Manual del desarrollador no abre con curiara

Informado por: stratovarius Propietario: HuntingBears
Prioridad: Normal Hito: canaima-popular-3.1~VC2
Componente: Canaima Popular Versión: 3.1
Gravedad: Trivial Palabras clave: canaima, error, desarrollador, curiara
Cc: Asignar A:

Descripción

La aplicación Canaima-Desarrollador no instala el paquete Canaima-Curiara, siendo éste necesario para poder abrir el manual de canaima-desarrollador que se muestra en el menú Programación>Manual del Desarrollador. Debe incluir a caniama-curiara como dependencia en archivo de control de canaima-desarrollador

Adjuntos

0001-Configurando-sensible-browser-como-navegador-de-la-d.patch (743 octetos) - añadido por erickcion hace 6 años.
Parche para colocar sensible-browser como navegador para documentación

Historial de cambios

comment:1 Cambiado el 6 años por erickcion

  • Estado cambiado de new to accepted
  • Propietario cambiado de Canaima Popular a erickcion

Curiara se quitó de las dependencias de canaima-desarrollador para evitar instalar paquetes del entorno gráfico GNOME y librerías GTK, en aquellos casos en que se quiera utilizar esta aplicación sin entorno gráfico.

Para corregir este error hay que modificar en el paquete la variable NAVEGADOR del archivo variables.conf:

https://gitorious.org/canaima-gnu-linux/canaima-desarrollador/blobs/1f51d366002f62fc1451b6afbeb76e752fff0582/conf/variables.conf#line28

comment:2 Cambiado el 6 años por erickcion

  • Palabras clave error, desarrollador, curiara añadidos; error eliminado
  • Resumen cambiado de Duda con canaima-desarrollador to canaima-desarrollador, Manual del desarrollador no abre con curiara

Colocando un título más descriptivo.

Cambiado el 6 años por erickcion

Parche para colocar sensible-browser como navegador para documentación

comment:3 Cambiado el 6 años por erickcion

Se adjunta un parche para solucionar este ticket

attachment:0001-Configurando-sensible-browser-como-navegador-de-la-d.patch

En el mismo se cambia canaima-curiara por sensible-browser el cual es un comando que detecta cual es el navegador más adecuado según el ambiente en que se ejecute. Esto implica que si estamos en una consola TTY nos ejecutará un navegador web por consola como w3m por ejemplo. Por otro lado si estamos en entorno gráfico como GNOME, este nos abrirá el navegador por defecto como Cunaguaro.

comment:4 Cambiado el 6 años por HuntingBears

  • Propietario cambiado de erickcion a HuntingBears
  • Estado cambiado de accepted to assigned

comment:5 Cambiado el 6 años por HuntingBears

  • Estado cambiado de assigned to resuelta
  • Resolución establecido a Fijada

El parche propuesto ha sido aplicado en el siguiente commit:

https://gitorious.org/canaima-gnu-linux/canaima-desarrollador/commit/ab4e26fc63938350e257ac4fd5b02d99d8162600

Se puede disfrutar de la corrección a partir de la versión 1.2-1 de canaima-desarrollador. Para actualizar se puede hacer aptitude update && aptitude full-upgrade.

~Luis

comment:6 Cambiado el 6 años por willicab

  • Estado cambiado de resuelta to revision

comment:7 Cambiado el 6 años por erickcion

  • Estado cambiado de revision to closed

Los cambios funcionan correctamente en la versión 1.2-2 del paquete Canaima Desarrollador.

Nota: Vea TracTickets para ayuda en el uso de incidencias.